Cygport Reference Manual

### TABLE OF CONTENTS

- qt4.cygclass

- QT4_QTDIR
- QT4_BINDIR
- QT4_INCLUDEDIR
- QT4_LIBDIR
- QT4_PLUGINSDIR
- QT4_IMPORTSDIR
- QT4_DATADIR
- QT4_MKSPECSDIR
- QT4_QMAKE
- QT4_MOC
- QT4_RCC
- QT4_UIC
- QT4_UIC3
- QT4_LRELEASE
- doqt4inc
- doqt4lib
- qt4pluginto
- doqt4plugin

## qt4.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit qt4

DESCRIPTION

Qt is a C++ cross-platform application framework for writing desktop GUI applications. Qt is the underlying toolkit used by the KDE desktop environment.

This cygclass provides definitions and install functions which can be used by all Qt4-based packages, regardless of the build system being used.

NOTES

- Packages based on the deprecated 3.x or newer 5.x versions of Qt must use qt3.cygclass or qt5.cygclass, respectively.

INHERITED BY

kde4.cygclass, qt4-cmake.cygclass, qt4-qmake.cygclass

## QT4_QTDIR

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Root directory for the Qt4 installation.

## QT4_BINDIR

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Directory containing the Qt4 build tools.

## QT4_INCLUDEDIR

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Directory containing the Qt4 library headers.

## QT4_LIBDIR

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Directory containing the Qt4 link libraries.

## QT4_PLUGINSDIR

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Installation path for Qt4 plugins.

## QT4_IMPORTSDIR

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Installation path for Qt4 Quick extensions.

## QT4_DATADIR

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Directory containing Qt4 documentation and translation data.

## QT4_MKSPECSDIR

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Directory containing Qt4 QMake specs files.

## QT4_QMAKE

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt4 project and Makefile generator

## QT4_MOC

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt4 Meta-Object Compiler

## QT4_RCC

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt4 resource compiler

## QT4_UIC

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt4 User Interface Compiler

## QT4_UIC3

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt4 Qt3Support User Interface Compiler

## QT4_LRELEASE

[ Top ] [ qt4.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt4 Linguist translation compiler

## doqt4inc

[ Top ] [ qt4.cygclass ] [ Install Functions ]

SYNOPSIS

      doqt4inc HEADERS

DESCRIPTION

Installs headers into QT4_INCLUDEDIR under $D.

## doqt4lib

[ Top ] [ qt4.cygclass ] [ Install Functions ]

SYNOPSIS

      doqt4lib LIBRARIES

DESCRIPTION

Installs link libraries into QT4_LIBDIR under $D.

## qt4pluginto

[ Top ] [ qt4.cygclass ] [ Install Functions ]

SYNOPSIS

      qt4pluginto SUBDIRECTORY

DESCRIPTION

Sets the subdirectory of QT4_PLUGINDIR in which doqt4plugin should install. Supported subdirectores include:

- crypto: Qt Cryptographic Architecture backends
- designer: Qt Designer widgets
- imageformats: image format handlers
- phonon_backend: Phonon multimedia backends
- script: QtScript engines
- sqldrivers: SQL datbase backends
- styles: GUI style engines

## doqt4plugin

[ Top ] [ qt4.cygclass ] [ Install Functions ]

SYNOPSIS

      qt4pluginto SUBDIRECTORY
      doqt4plugin PLUGINS

DESCRIPTION

Installs the given plugins into the subdirectory of QT4_PLUGINDIR passed to the previous call to qt4pluginto.